import { Module } from '@nestjs/common'
import { UsersService } from './users.service'
import { UsersController } from './users.controller'
import { JwtService } from '@nestjs/jwt'
import { EmailService } from 'src/email/email.service'
import { MeService } from './me.service'
import { MeController } from './me.controller'

@Module({
  controllers: [UsersController, MeController],
  providers: [UsersService, JwtService, EmailService, MeService],
  exports: [UsersService],
})
export class UsersModule {}
